CREATE SEQUENCE "RRS"."TBL_COMPANY_SEQ";

  CREATE TABLE "RRS"."TBL_COMPANY" 
   (	"C_ID" NUMBER(6,0) NOT NULL ENABLE, 
	"COMPANYNAME" NVARCHAR2(50) NOT NULL ENABLE, 
	 CONSTRAINT "TBL_COMPANY_PK" PRIMARY KEY ("C_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

  CREATE OR REPLACE TRIGGER "RRS"."TBL_COMPANY_TRG" BEFORE INSERT ON RRS.TBL_COMPANY 
FOR EACH ROW 
BEGIN
 SELECT "RRS"."TBL_COMPANY_SEQ".NEXTVAL INTO :NEW.C_ID FROM DUAL;
END;
/
ALTER TRIGGER "RRS"."TBL_COMPANY_TRG" ENABLE;
