CREATE SEQUENCE "RRS"."TBL_ROOM_SEQ";

  CREATE TABLE "RRS"."TBL_ROOM" 
   (	"R_ID" NUMBER(6,0) NOT NULL ENABLE, 
	"COMPANYID" NUMBER(6,0) NOT NULL ENABLE, 
	"ROOMNAME" NVARCHAR2(50) NOT NULL ENABLE, 
	"VISIBLE" NUMBER(6,0) NOT NULL ENABLE, 
	 CONSTRAINT "TBL_ROOM_PK" PRIMARY KEY ("R_ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE, 
	 CONSTRAINT "TBL_ROOM_TBL_COMPANY_FK1" FOREIGN KEY ("COMPANYID")
	  REFERENCES "RRS"."TBL_COMPANY" ("C_ID") ENABLE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

  CREATE OR REPLACE TRIGGER "RRS"."TBL_ROOM_TRG" BEFORE INSERT ON RRS.TBL_ROOM 
FOR EACH ROW 
BEGIN
      SELECT "RRS"."TBL_ROOM_SEQ".NEXTVAL INTO :NEW.R_ID FROM DUAL;
END;
/
ALTER TRIGGER "RRS"."TBL_ROOM_TRG" ENABLE;
